Subject: Fwd: Feature request for the Expression MIB

From: Randy Presuhn <[email-masked]>
Date: Wed, 11 Oct 2000 13:40:12 -0700 (PDT)

hi -

I'm forwarding a non-subscriber post to the disman WG list.
Subscription information is available at
http://www.ietf.org/html.charters/disman-charter.html

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------

> Received: from tattler.bmc.com (tattler.bmc.com [172.17.0.117])
> 	by dorothy.bmc.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id NAA14819
> 	for <[email-masked]>; Wed, 11 Oct 2000 13:36:55 -0700 (PDT)
> Received: from fw-us-hou1.bmc.com (localhost [127.0.0.1])
> 	by tattler.bmc.com (8.10.2/8.8.6) with SMTP id e9BKaVD14843
> 	for <[email-masked]>; Wed, 11 Oct 2000 15:36:31 -0500 (CDT)
> Received: from fedex.cisco.com (fedex.cisco.com [171.69.18.27])
> 	by sj-msg-core-2.cisco.com (8.9.3/8.9.1) with ESMTP id NAA09672
> 	for <[email-masked]>; Wed, 11 Oct 2000 13:37:42 -0700 (PDT)
> Received: from cisco.com (dhcp-171-68-129-192.cisco.com [171.68.129.192])
> 	by fedex.cisco.com (Mirapoint)
> 	with ESMTP id AFM04033 (AUTH lheintz);
> 	Wed, 11 Oct 2000 13:37:39 -0700 (PDT)
> Message-ID: <[email-masked]>
> Date: Wed, 11 Oct 2000 13:36:39 -0700
> From: Lauren Heintz <[email-masked]>
> Reply-To: [email-masked]
> Organization: Cisco Systems
> X-Mailer: Mozilla 4.5 [en] (WinNT; U)
> X-Accept-Language: en
> MIME-Version: 1.0
> To: [email-masked]
> Subject: Feature request for the Expression MIB
> Content-Type: text/plain; charset=us-ascii
> Content-Transfer-Encoding: 7bit
> 
> Hi,
> 
> I have a problem I'm trying to solve, and it
> seems that the Expression MIB is very close
> to what we need.  The key word here being "close."
> 
> I would like to suggest that future versions of
> the expression MIB support two new functions:
> topN(expression), bottomN(expression)?
> 
> Such expressions would allow one to pose
> queries such as:
> 
> What 10 interfaces had the greatest (top N=10)
> change in ifInErrors over the last 60 minutes?
> 
> What 5 golfers had the best scores (bottom N=5)
> posted in the last day?  (no sense asking
> for N=1 since we already know the answer)
> 
> Of course, I'm not suggesting you also design
> a golfing MIB.  That would instead be done
> in the appropriate IETF Playing-Group, which
> I would be willing to chair.
> 
> Does this seem like an appropriate enhancement
> to the expMIB, and would there be support for it?
> 
> Thanks,
> Lauren
>